## 这里主要是快速搭建一个 SpringBoot RestAPI 后台

### Gradle 新建 Java Application 项目

~~~ bash
gradle init

# 问项目类型: 选择 2(application)
# 问开发语言: 选择 3(Java)
# 问有无子项目: 选择 1(no)
# 问构建语言: 选择 1(Groovy)
# 问测试框架: 默认
# 问项目名称: 默认
# 问包名: org.example
~~~

### [`app/build.gradle`](./app/build.gradle) 增加 SpringBoot 插件

~~~ gradle
plugins {
  // ...

  // [添加] SpringBoot Gradle 插件
  id "org.springframework.boot" version "2.4.8"
}
~~~

### [`app/build.gradle`](./app/build.gradle) 增加依赖

- SpringBoot starter web 2.5.5

~~~ gradle
dependencies {

  // [增加] SpringBoot Starter Web 模块整合包
  implementation 'org.springframework.boot:spring-boot-starter-web:2.5.5'

  // ...
}
~~~

### [`App.java`](./app/src/main/java/org/example/App.java) 入口类启动 SpringBootApplication

~~~ java
@SpringBootApplication
public class App {
  public static void main(String[] args) {
    SpringApplication.run(App.class, args);
  }
}
~~~

### 测试启动，检查 SpringBoot 是否正常运行

~~~ bash
./gradlew bootRun
~~~

CTRL+C 关闭程序，继续开发控制器。