package org.example;

import java.util.HashMap;
import java.util.Map;

import javax.validation.constraints.Min;

import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RestController;

@RestController
@Validated // 添加 @Validated
public class Usage1Controller {

  // @Min(1) : 要求 userID 最小为 1
  @GetMapping("/user/{id}")
  public Map<String, String> handleUsage1(
    @PathVariable(name = "id") 
    @Min(value = 1, message = "userID 必须大于等于1") 
    long userID
  ) {
    return new HashMap<>(){{
      put("msg", "welcome back, " + userID);
    }};
  }

}