package org.example;

import java.util.HashMap;
import java.util.Map;

import javax.validation.ConstraintViolationException;

import org.springframework.http.HttpStatus;
import org.springframework.web.bind.annotation.ExceptionHandler;
import org.springframework.web.bind.annotation.ResponseStatus;
import org.springframework.web.bind.annotation.RestControllerAdvice;

// @RestControllerAdvice 表示错误处理类
@RestControllerAdvice
public class Usage1ExceptionHandler {

  // 处理 ConstraintViolationException
  @ExceptionHandler(ConstraintViolationException.class)
  // 遇到这个异常时，响应码为 400
  @ResponseStatus(HttpStatus.BAD_REQUEST)
  public Map<String, String> handleUsage1Exception(ConstraintViolationException e) {
    // 获取异常信息然后输出 { "msg": "错误信息" }
    return new HashMap<>(){{
      put("msg", e.getMessage());
    }};
  }

}