package org.example;

import javax.validation.Valid;
import javax.validation.constraints.NotEmpty;

import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RestController;

@RestController
public class Usage2Controller {

  @PostMapping("/person")
  public Person person (@Valid @RequestBody Person person) {
    return person; // 原样返回 json
  }

  // POJO class (纯Java对象类)
  @lombok.Getter
  @lombok.Setter
  public static class Person {
    @NotEmpty(message = "名称不能为空") // 要求名字不能空
    private String name;
    @NotEmpty(message = "昵称不能为空") // 要求昵称不能空
    private String nickname;
  }
}