package org.example;

import java.util.Map;
import java.util.HashMap;

import org.springframework.http.HttpStatus;
import org.springframework.web.bind.annotation.ExceptionHandler;
import org.springframework.web.bind.annotation.ResponseStatus;
import org.springframework.web.bind.annotation.RestControllerAdvice;
import org.springframework.web.bind.MethodArgumentNotValidException;

// @RestControllerAdvice 表示错误处理类
@RestControllerAdvice
public class Usage2ExceptionHandler {

  // 处理 MethodArgumentNotValidException
  @ExceptionHandler(MethodArgumentNotValidException.class)
  @ResponseStatus(HttpStatus.BAD_REQUEST)
  public Map<String, String> handleUsage2Exception(MethodArgumentNotValidException e) {
    return new HashMap<>(){{
      // Exception 有很多方法，这里只展示错误信息
      put("msg", e.getBindingResult().getFieldError().getDefaultMessage());
    }};
  }
}
